Subject: Re: [6lowapp] the role of gateway nodes

From: Xavi Vilajosana Guillen <[email-masked]>
Date: Mon, 30 Nov 2009 12:21:22 +0100

John,.I know about some attempts to use DPWS to adreess comissioning of WSN. The problems are the size of the messages and the expensive bidirectional protocols. http://www.imd.uni-rostock.de/veroeff/Moritz_ETFA_2009.pdfIn my opinion, comissioning should be done in two steps:1-CoGII (Constrained-node to General Internet Intermediary) comissioning2-Constrained node to CoGII comissioning.1 can be addressed by existing protocols such as Upnp, DPWS or others.2 has to be addressed with a restricted CoAP. Whether this protocol should be new or a compression of an exiting one, I do not know yet. I think that should be better to adapt existing ones instead of "re-inventing the wheel".--> Missatge original de John Mani ([email-masked]) per a Xavi Vilajosana Guillén, [email-masked] enviat el 27/11/2009 17:47:24###########Are there similar issues and how have been#addressed in other perhaps#similar areas?##E.g., UPnP or DLNA that uses similar stuff - IP/HTTP,#etc.##-john###On 11/27/09 6:37 AM, "Xavi Vilajosana Guillen"# wrote:##> Hi everybody,#>#> I am addressing the problem of application level#protocol compatibility#> between Internet and 6LowPan networks. As you may know#current Internet#> protocols (http,xmpp...) make use of too heavy#headers... my opinion is that a#> protocol transformation is required at gateway level,#that is, current#> Internet protocols should be compressed/transformed#once they reach a low#> power losy network...#>#> what's the approach at 6LowApp? anyone knows ongoing#work on that issue?#>#> regards,#> xavier#>#> _______________________________________________#> 6lowapp mailing list#> [email-masked]#> #HREF="https://www.ietf.org/mailman/listinfo/6lowapp">https:#//www.ietf.org/mailman/listinfo/6lowapp######Xavier Vilajosana GuillenUniversitat Oberta de CatalunyaEstudis d'Informàtica, Multimèdia i Telecomunicacions            Rambla Poblenou 156 08018 BarcelonaTel +34 93 326 37 [email-masked]